Bug 104365 - Maintainer Update: mail/dovecot to 1.0.r8
Summary: Maintainer Update: mail/dovecot to 1.0.r8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Shaun Amott
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-13 00:50 UTC by Robin Breathe
Modified: 2006-10-31 00:30 UTC (History)
0 users

See Also:


Attachments
dovecot-1.0.r8.diff (9.10 KB, patch)
2006-10-13 00:50 UTC, Robin Breathe
no flags Details | Diff
dovecot-1.0.r9.diff (9.10 KB, patch)
2006-10-15 13:49 UTC, Robin Breathe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Breathe 2006-10-13 00:50:13 UTC
Update to latest release, dovecot-1.0.rc8, see http://www.dovecot.org/list/dovecot-news/2006-October/000016.html.
Add knobs for POP3, LDA and SSL support.

Fix: 1) Delete files/patch-src_lib_ioloop-notify-kqueue.c.
2) Apply the following patch:
Comment 1 Shaun Amott freebsd_committer 2006-10-13 01:29:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Grab.
Comment 2 Robin Breathe 2006-10-15 13:49:04 UTC
Attached is an update patch to upgrade from dovecot-1.0.r7_2 to  
dovecot-1.0.r9. Please commit this rather than the original patch above.

As before, remove files/patch-src_lib_ioloop-notify-kqueue.c and  
apply the patch.
Comment 3 isometry 2006-10-17 00:24:41 UTC
From: Robin Breathe <robin@isometry.net>

The following patch supercedes the two earlier ones, and now updates mail/dovecot to 1.0.r10.
Full details: http://www.dovecot.org/list/dovecot-news/2006-October/000018.html

--- dovecot-1.0.r10.diff begins here ---
diff -ruN dovecot.orig/Makefile dovecot/Makefile
--- dovecot.orig/Makefile	Sun Oct  1 00:47:55 2006
+++ dovecot/Makefile	Mon Oct 16 16:16:34 2006
@@ -7,8 +7,7 @@
 #
 
 PORTNAME=	dovecot
-DISTVERSION=	1.0.rc7
-PORTREVISION=	2
+DISTVERSION=	1.0.rc10
 CATEGORIES=	mail ipv6
 MASTER_SITES=	http://www.dovecot.org/releases/
 
@@ -38,13 +37,16 @@
 .endif
 
 OPTIONS=	KQUEUE		"kqueue(2) support"	on  \
+		SSL		"SSL support"		on  \
+		IPV6		"IPv6 support"		on  \
+		POP3		"POP3 support"		on  \
+		LDA		"LDA support"		on  \
 		GSSAPI		"GSSAPI support"	off \
 		VPOPMAIL	"VPopMail support"	off \
 		LDAP		"OpenLDAP support"	off \
 		PGSQL		"PostgreSQL support"	off \
 		MYSQL		"MySQL support"		off \
-		SQLITE		"SQLite support"	off \
-		IPV6		"IPv6 support"		on
+		SQLITE		"SQLite support"	off
 
 .include <bsd.port.pre.mk>
 
@@ -54,6 +56,38 @@
 CONFIGURE_ARGS+=	--with-ioloop=kqueue
 .endif
 
+## SSL support
+#
+.if defined(WITHOUT_SSL)
+CONFIGURE_ARGS+=	--without-ssl
+.endif
+
+## IPv6 support
+#
+.if defined(WITHOUT_IPV6) || ${OSVERSION} <= 400014
+CONFIGURE_ARGS+=	--disable-ipv6
+.endif
+
+## POP3 support
+#
+.if defined(WITHOUT_POP3)
+CONFIGURE_ARGS+=	--without-pop3d
+PROTOCOLS=		imap
+PLIST_SUB+=		POP3="@comment "
+.else
+PROTOCOLS=		imap pop3
+PLIST_SUB+=		POP3=""
+.endif
+
+## LDA support
+#
+.if defined(WITHOUT_LDA)
+CONFIGURE_ARGS+=	--without-deliver
+PLIST_SUB+=		LDA="@comment "
+.else
+PLIST_SUB+=		LDA=""
+.endif
+
 ## GSSAPI support
 #
 .if defined(WITH_GSSAPI)
@@ -100,12 +134,6 @@
 CONFIGURE_ARGS+=	--with-sqlite
 .endif
 
-## IPv6 support
-#
-.if defined(WITHOUT_IPV6) || ${OSVERSION} <= 400014
-CONFIGURE_ARGS+=	--disable-ipv6
-.endif
-
 post-patch:
 .if defined(WITH_GSSAPI)
 	@${REINPLACE_CMD} -e 's,<gssapi/gssapi\.h>,<gssapi.h>,' \
@@ -114,7 +142,9 @@
 .endif
 
 post-build:
-	@${REINPLACE_CMD} -e 's,%%PREFIX%%,${PREFIX},g' \
+	@${REINPLACE_CMD} \
+		-e 's,%%PREFIX%%,${PREFIX},g' \
+		-e 's,%%PROTOCOLS%%,${PROTOCOLS},g' \
 		${WRKSRC}/dovecot-example.conf
 
 pre-install:
@@ -124,6 +154,8 @@
 	@${MKDIR} ${DATADIR}
 	${INSTALL_SCRIPT} ${WRKSRC}/doc/mkcert.sh ${DATADIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-openssl.cnf ${DATADIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-ldap.conf ${DATADIR}
+	${INSTALL_DATA} ${WRKSRC}/doc/dovecot-sql.conf ${DATADIR}
 	@${SETENV} ${SCRIPTS_ENV} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}
 
diff -ruN dovecot.orig/distinfo dovecot/distinfo
--- dovecot.orig/distinfo	Sat Aug 19 14:43:12 2006
+++ dovecot/distinfo	Mon Oct 16 16:22:08 2006
@@ -1,3 +1,3 @@
-MD5 (dovecot-1.0.rc7.tar.gz) = 665ec0f09fe4f0a8f3f9efd7b9a02297
-SHA256 (dovecot-1.0.rc7.tar.gz) = 4d877b52678d1ef81c3f176479d566e25c0c4a65d3f61093f39866d1f63c7696
-SIZE (dovecot-1.0.rc7.tar.gz) = 1273427
+MD5 (dovecot-1.0.rc10.tar.gz) = 4b76cef0e769e7504e47f4df4055bc8c
+SHA256 (dovecot-1.0.rc10.tar.gz) = 300fd089bb7643986511b723951461b34fc12b48736d26b796a1013db89e5779
+SIZE (dovecot-1.0.rc10.tar.gz) = 1452437
diff -ruN dovecot.orig/files/patch-dovecot-example.conf dovecot/files/patch-dovecot-example.conf
--- dovecot.orig/files/patch-dovecot-example.conf	Sat Aug 19 14:43:12 2006
+++ dovecot/files/patch-dovecot-example.conf	Mon Oct 16 23:15:02 2006
@@ -1,5 +1,5 @@
---- dovecot-example.conf.orig	Fri Aug 18 21:19:13 2006
-+++ dovecot-example.conf	Fri Aug 18 21:23:26 2006
+--- dovecot-example.conf.orig	Sun Oct 15 22:12:31 2006
++++ dovecot-example.conf	Mon Oct 16 23:14:19 2006
 @@ -9,7 +9,7 @@
  # Default values are shown for each setting, it's not required to uncomment
  # any of the lines. Exception to this are paths, they're just examples with
@@ -9,31 +9,23 @@
  # --with-ssldir=/etc/ssl
  
  # Base directory where to store runtime data.
-@@ -17,6 +17,7 @@
- 
+@@ -18,6 +18,7 @@
  # Protocols we want to be serving: imap imaps pop3 pop3s
+ # If you only want to use dovecot-auth, you can set this to "none".
  #protocols = imap imaps
-+protocols = imap pop3
++protocols = %%PROTOCOLS%%
  
  # IP or host address where to listen in for connections. It's not currently
  # possible to specify multiple addresses. "*" listens in all IPv4 interfaces.
-@@ -135,6 +136,7 @@
- # Set max. process size in megabytes. If you don't use
- # login_process_per_connection you might need to grow this.
- #login_process_size = 32
-+login_process_size = 64
- 
- # Should each login be processed in it's own process (yes), or should one
- # login process be allowed to process multiple connections (no)? Yes is more
-@@ -192,6 +194,7 @@
+@@ -195,6 +196,7 @@
  #   default_mail_env = mbox:/var/mail/%d/%n/:INDEX=/var/indexes/%d/%n
  #
  #default_mail_env = 
-+default_mail_env = mbox:/var/mail/%u
++default_mail_env = mbox:~/mail/:INBOX=/var/mail/%u
  
  # If you need to set multiple mailbox locations or want to change default
  # namespace settings, you can do it by defining namespace sections:
-@@ -235,6 +238,7 @@
+@@ -238,6 +240,7 @@
  # Grant access to these extra groups for mail processes. Typical use would be
  # to give "mail" group write access to /var/mail to be able to create dotlocks.
  #mail_extra_groups =
@@ -41,7 +33,7 @@
  
  # Allow full filesystem access to clients. There's no access checks other than
  # what the operating system does for the active UID/GID. It works with both
-@@ -282,6 +286,7 @@
+@@ -285,6 +288,7 @@
  # IP address. Useful for seeing who are actually using the IMAP processes
  # (eg. shared mailboxes or if same uid is used for multiple accounts).
  #verbose_proctitle = no
@@ -49,7 +41,7 @@
  
  # Valid UID range for users, defaults to 500 and above. This is mostly
  # to make sure that users can't log in as daemons or other system users.
-@@ -295,6 +300,7 @@
+@@ -298,6 +302,7 @@
  # belongs to supplementary groups with non-valid GIDs, those groups are
  # not set.
  #first_valid_gid = 1
@@ -57,7 +49,7 @@
  #last_valid_gid = 0
  
  # Maximum number of running mail processes. When this limit is reached,
-@@ -467,19 +473,19 @@
+@@ -470,19 +475,19 @@
  
  protocol imap {
    # Login executable location.
@@ -81,7 +73,7 @@
  
    # Maximum IMAP command line length in bytes. Some clients generate very long
    # command lines with huge mailboxes, so you may need to raise this if you get
-@@ -489,7 +495,7 @@
+@@ -492,7 +497,7 @@
    # Support for dynamically loadable plugins. mail_plugins is a space separated
    # list of plugins to load.
    #mail_plugins = 
@@ -90,7 +82,7 @@
  
    # Send IMAP capabilities in greeting message. This makes it unnecessary for
    # clients to request it with CAPABILITY command, so it saves one round-trip.
-@@ -521,6 +527,7 @@
+@@ -524,6 +529,7 @@
    #     accept '/' suffix in mailbox names in subscriptions list.
    # The list is space-separated.
    #imap_client_workarounds = outlook-idle
@@ -98,20 +90,21 @@
  }
    
  ##
-@@ -529,10 +536,10 @@
+@@ -532,11 +538,11 @@
  
  protocol pop3 {
    # Login executable location.
 -  #login_executable = /usr/libexec/dovecot/pop3-login
 +  #login_executable = %%PREFIX%%/libexec/dovecot/pop3-login
  
-   # POP3 executable location
+   # POP3 executable location. See IMAP's mail_executable above for examples
+   # how this could be changed.
 -  #mail_executable = /usr/libexec/dovecot/pop3
 +  #mail_executable = %%PREFIX%%/libexec/dovecot/pop3
  
    # Don't try to set mails non-recent or seen with POP3 sessions. This is
    # mostly intended to reduce disk I/O. With maildir it doesn't move files
-@@ -577,6 +584,7 @@
+@@ -581,6 +587,7 @@
    # installations.
    #
    #pop3_uidl_format = 
@@ -119,7 +112,7 @@
  
    # POP3 logout format string:
    #  %t - number of TOP commands
-@@ -591,7 +599,7 @@
+@@ -595,7 +602,7 @@
    # Support for dynamically loadable plugins. mail_plugins is a space separated
    # list of plugins to load.
    #mail_plugins = 
@@ -128,7 +121,7 @@
  
    # Workarounds for various client bugs:
    #   outlook-no-nuls:
-@@ -602,6 +610,7 @@
+@@ -606,6 +613,7 @@
    #     missing. This option simply sends it if it's missing.
    # The list is space-separated.
    #pop3_client_workarounds = 
@@ -136,7 +129,7 @@
  }
  
  ##
-@@ -619,10 +628,11 @@
+@@ -623,10 +631,11 @@
    # Support for dynamically loadable plugins. mail_plugins is a space separated
    # list of plugins to load.
    #mail_plugins = 
@@ -149,7 +142,7 @@
  
    # UNIX socket path to master authentication server to find users.
    #auth_socket_path = /var/run/dovecot/auth-master
-@@ -633,7 +643,7 @@
+@@ -637,7 +646,7 @@
  ##
  
  # Executable location
diff -ruN dovecot.orig/pkg-plist dovecot/pkg-plist
--- dovecot.orig/pkg-plist	Mon Jul 24 16:29:10 2006
+++ dovecot/pkg-plist	Thu Oct 12 17:44:59 2006
@@ -35,14 +35,14 @@
 lib/dovecot/lib02_trash_plugin.so
 @dirrm lib/dovecot
 libexec/dovecot/checkpassword-reply
-libexec/dovecot/deliver
+%%LDA%%libexec/dovecot/deliver
 libexec/dovecot/dict
 libexec/dovecot/dovecot-auth
 libexec/dovecot/gdbhelper
 libexec/dovecot/imap
 libexec/dovecot/imap-login
-libexec/dovecot/pop3
-libexec/dovecot/pop3-login
+%%POP3%%libexec/dovecot/pop3
+%%POP3%%libexec/dovecot/pop3-login
 libexec/dovecot/rawlog
 libexec/dovecot/ssl-build-param
 @dirrm libexec/dovecot
@@ -50,4 +50,6 @@
 sbin/dovecotpw
 %%DATADIR%%/dovecot-openssl.cnf
 %%DATADIR%%/mkcert.sh
+%%DATADIR%%/dovecot-ldap.conf
+%%DATADIR%%/dovecot-sql.conf
 @dirrm %%DATADIR%%
--- dovecot-1.0.r10.diff ends here ---
Comment 4 dfilter service freebsd_committer 2006-10-31 00:23:09 UTC
shaun       2006-10-31 00:23:04 UTC

  FreeBSD ports repository

  Modified files:
    mail/dovecot         Makefile distinfo pkg-plist 
    mail/dovecot/files   patch-dovecot-example.conf 
  Removed files:
    mail/dovecot/files   patch-src_lib_ioloop-notify-kqueue.c 
  Log:
  Update to 1.0.r10.
  
  PR:             ports/104365
  Submitted by:   Robin Breathe <robin@isometry.net> (maintainer)
  
  Revision  Changes    Path
  1.54      +43 -11    ports/mail/dovecot/Makefile
  1.29      +3 -3      ports/mail/dovecot/distinfo
  1.23      +21 -28    ports/mail/dovecot/files/patch-dovecot-example.conf
  1.2       +0 -14     ports/mail/dovecot/files/patch-src_lib_ioloop-notify-kqueue.c (dead)
  1.21      +6 -4      ports/mail/dovecot/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Shaun Amott freebsd_committer 2006-10-31 00:23:11 UTC
State Changed
From-To: open->closed

Committed, thanks!